version: '3.7'

# Docker Networks
networks:
  oracle:
    driver: bridge

# Logging parameters
x-logging: &oracle-logging
  driver: "json-file"
  options:
    max-file: "10"
    max-size: "200k"

services:
  signer_service:
    image: "registry.gitlab.com/niftsy/oracle/signer:latest"
    container_name: signer
    restart: always
    env_file:
      - ./.env
#      - ./.env.chain.1_https
#      - ./.env.task.0011
    networks:
      - oracle
    command: ['python', 'signer.py']
    logging: *oracle-logging

